Skip to content
Start here

Delete Single Certificate And Key For Custom Hostname

client.CustomHostnames.CertificatePack.Certificates.Delete(ctx, customHostnameID, certificatePackID, certificateID, body) (*CertificatePackCertificateDeleteResponse, error)
DELETE/zones/{zone_id}/custom_hostnames/{custom_hostname_id}/certificate_pack/{certificate_pack_id}/certificates/{certificate_id}

Delete a single custom certificate from a certificate pack that contains two bundled certificates. Deletion is subject to the following constraints. You cannot delete a certificate if it is the only remaining certificate in the pack. At least one certificate must remain in the pack.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
SSL and Certificates Write
ParametersExpand Collapse
customHostnameID string

Custom hostname identifier tag.

maxLength36
minLength36
certificatePackID string

Custom hostname identifier tag.

maxLength36
minLength36
certificateID string

Custom hostname identifier tag.

maxLength36
minLength36
body CertificatePackCertificateDeleteParams
ZoneID param.Field[string]

Identifier.

maxLength32
ReturnsExpand Collapse
type CertificatePackCertificateDeleteResponse struct{…}
ID stringOptional

Custom hostname identifier tag.

maxLength36
minLength36

Delete Single Certificate And Key For Custom Hostname

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/custom_hostnames"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  certificate, err := client.CustomHostnames.CertificatePack.Certificates.Delete(
    context.TODO(),
    "0d89c70d-ad9f-4843-b99f-6cc0252067e9",
    "0d89c70d-ad9f-4843-b99f-6cc0252067e9",
    "0d89c70d-ad9f-4843-b99f-6cc0252067e9",
    custom_hostnames.CertificatePackCertificateDeleteParams{
      ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", certificate.ID)
}
{
  "id": "0d89c70d-ad9f-4843-b99f-6cc0252067e9"
}
Returns Examples
{
  "id": "0d89c70d-ad9f-4843-b99f-6cc0252067e9"
}